

require_relative 'api_test_base'

class EmployeesApiTests < ApiTestBase
  # Called only once for the class before any test has executed
  def setup
    @response_catcher = HttpResponseCatcher.new
    @controller = EmployeesApi.new CONFIG, http_call_back: @response_catcher
  end

  # Gets a list of `Employee` objects for a business.
  def test_test_list_employees()
    # Parameters for the API call
    location_id = nil
    status = nil
    limit = nil
    cursor = nil

    # Perform the API call through the SDK function
    result = @controller.list_employees(location_id: location_id, status: status, limit: limit, cursor: cursor)

    # Test response code
    assert_equal(200, @response_catcher.response.status_code)

    # Test headers
    expected_headers = {}
    expected_headers['content-type'] = 'application/json'

    assert(TestHelper.match_headers(expected_headers, @response_catcher.response.headers))
  end

end
